GNOME’s OPW status update (weeks 1,2 & 3)

Accomplishments: In the past three weeks, I worked on these issues. Almost all of the issues (except 4-5) belong to structured exceptions in Moose. Problems which I faced: MooseX::Role::WithOverloading is broken: I have used operator overloading in the Exception class. Accoring to this issue, I was supposed to use a Role, but I inherited Exception…

Problem installing in Net::SSLeay

Somedays ago, I was installing Dist::Zilla, but it failed due to a dependency CPAN::Uploader, which failed due to Net::SSLeay. This is the concerned build.log: I searched for these erors, but didn’t get any solution, so I asked on #distzilla on MAGnet. A person named leont said that it’s due to libssl-dev package. Net::SSLeay is an…

MooseX-Getopt-Usage tests failed

While I was running test-cases of Moose, I got the following errors for MooseX-Getopt-Usage module: Reason: I’m having two Perls installed on my system, one is /home/user/perl5/perlbrew/perls/perl-5.16.3/bin/perl and other is /usr/bin/perl. For fixing those errors, you can follow the following steps: $Β git clone git@github.com:markpitchless/moosex-getopt-usage.git $ cd moosex-getopt-usage/ $ wget https://rt.cpan.org/Ticket/Attachment/1212757/640452/mx-getopt-usage.diff $ git apply mx-getopt-usage.diff $…